Package ru.bitel.bgbilling.plugins.dispatch.server.bean.message

# Class DispatchBalanceMessage

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.dispatch.common.bean.DispatchMessage
ru.bitel.bgbilling.plugins.dispatch.server.bean.message.CustomDispatchMessage
ru.bitel.bgbilling.plugins.dispatch.server.bean.message.DispatchBalanceMessage

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class DispatchBalanceMessage extends CustomDispatchMessage
Пользовательский класс для формирования сообщения для рассылки баланса.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.bgbilling.plugins.dispatch.common.bean.DispatchMessage

  `DispatchMessage.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.plugins.dispatch.server.bean.message.CustomDispatchMessage

  `con, contractId, contractManager`

  ### Fields inherited from class ru.bitel.bgbilling.plugins.dispatch.common.bean.DispatchMessage

  `messageBody`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DispatchBalanceMessage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessageBody()`
  Возвращает тело сообщения в рассылке.

  ### Methods inherited from class ru.bitel.bgbilling.plugins.dispatch.server.bean.message.CustomDispatchMessage

  `setConnection, setContractId`

  ### Methods inherited from class ru.bitel.bgbilling.plugins.dispatch.common.bean.DispatchMessage

  `builder, getCreateDate, getDispatchId, getSendDate, isSent, setCreateDate, setDispatchId, setMessageBody, setSendDate, setSent`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### DispatchBalanceMessage

    public DispatchBalanceMessage()

- ## Method Details

  - ### getMessageBody

    public String getMessageBody()
    Возвращает тело сообщения в рассылке.
    Specified by:
      `getMessageBody` in class `CustomDispatchMessage`
    Returns: